osl::Neighboring8Direct Class Reference

8近傍への直接の利きを判定する More...

`#include <neighboring8Direct.h>`

## Classes

class | Table

## Static Public Member Functions

static bool | hasEffect (const NumEffectState &state, PtypeO ptypeo, Square from, Square target)
| ptypeo の駒がfromからtargetの8近傍に直接の利きを持つか
static bool | hasEffectOrAdditional (const NumEffectState &state, PtypeO ptypeo, Square from, Square target)
| ptypeo の駒がfromからtargetの8近傍に直接の利きを持つか そのような駒への追加/影利きになっている
static Square | findNearest (const NumEffectState &state, PtypeO ptypeo, Square from, Square target)
static bool | hasEffectNaive (const NumEffectState &state, PtypeO ptypeo, Square from, Square target)
static void | init ()

## Static Private Member Functions

static bool | hasEffectFromTo (const NumEffectState &state, PtypeO ptypeo, Square from, Square target, Direction d)

## Static Private Attributes

static Table | table

## Detailed Description

8近傍への直接の利きを判定する

Definition at line 15 of file neighboring8Direct.h.

## Member Function Documentation

## findNearest()

Square osl::effect_util::Neighboring8Direct::findNearest | ( | const NumEffectState & | state,
|  | PtypeO | ptypeo,
|  | Square | from,
|  | Square | target )

inline static

Definition at line 124 of file neighboring8Direct.h.

Referenced by osl::rating::AttackKing8Group::findMatch(), and osl::rating::AttackKing8::match().

## hasEffect()

bool osl::effect_util::Neighboring8Direct::hasEffect | ( | const NumEffectState & | state,
|  | PtypeO | ptypeo,
|  | Square | from,
|  | Square | target )

inline static

ptypeo の駒がfromからtargetの8近傍に直接の利きを持つか

Definition at line 108 of file neighboring8Direct.h.

Referenced by osl::rating::DefenseKing8::blocking(), osl::checkmate::CheckmateIfCapture::effectiveAttackCandidate0(), osl::move_probability::StateInfo::findShortThreatmate(), osl::move_probability::BreakThreatmate::isDefendingKing8(), osl::checkmate::ProofNumberTable::libertyAfterAllMove(), osl::move_probability::BreakThreatmate::match(), osl::move_probability::CheckmateIfCapture::match(), osl::move_probability::EscapeThreatened::match(), osl::move_probability::KingBlockade::match(), osl::move_probability::SacrificeAttack::match(), osl::rating::DefenseKing8::matchDrop(), osl::rating::Karanari::matchGeneral(), and osl::rating::DefenseKing8::matchMove().

## hasEffectFromTo()

bool osl::effect_util::Neighboring8Direct::hasEffectFromTo | ( | const NumEffectState & | state,
|  | PtypeO | ptypeo,
|  | Square | from,
|  | Square | target,
|  | Direction | d )

static private

Definition at line 91 of file neighboring8Direct.cc.

## hasEffectNaive()

bool osl::effect_util::Neighboring8Direct::hasEffectNaive | ( | const NumEffectState & | state,
|  | PtypeO | ptypeo,
|  | Square | from,
|  | Square | target )

static

Definition at line 100 of file neighboring8Direct.cc.

## hasEffectOrAdditional()

bool osl::effect_util::Neighboring8Direct::hasEffectOrAdditional | ( | const NumEffectState & | state,
|  | PtypeO | ptypeo,
|  | Square | from,
|  | Square | target )

inline static

ptypeo の駒がfromからtargetの8近傍に直接の利きを持つか そのような駒への追加/影利きになっている

Definition at line 118 of file neighboring8Direct.h.

Referenced by osl::checkmate::CheckmateIfCapture::effectiveAttackCandidate0(), and osl::rating::Threatmate::isCandidate().

## init()

void osl::effect_util::Neighboring8Direct::init | ( |  | ) |

static

Definition at line 14 of file neighboring8Direct.cc.

## Member Data Documentation

## table

osl::effect_util::Neighboring8Direct::Table osl::effect_util::Neighboring8Direct::table

static private

Definition at line 103 of file neighboring8Direct.h.

The documentation for this class was generated from the following files:

- neighboring8Direct.h
- neighboring8Direct.cc